DATA-SAFE_SENSITIVE-DATA-MODEL_LIST-DISCOVERY-ANALYTICS(1)

NAME
data-safe_sensitive-data-model_list-discovery-analytics -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Gets consolidated discovery analytics data based on the specified query parameters. If CompartmentIdInSubtreeQueryParam is specified as true, the behaviour is equivalent to accessLevel “ACCESSIBLE” by default.

USAGE

oci data-safe sensitive-data-model list-discovery-analytics [OPTIONS]

REQUIRED PARAMETERS

--compartment-id, -c [text]

    A filter to return only resources that match the specified compartment OCID.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--compartment-id-in-subtree [boolean]

    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the ‘accessLevel’ setting.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--group-by [text]

    Attribute by which the discovery analytics data should be grouped.

    Accepted values are:

    sensitiveDataModelId, sensitiveTypeId, sensitiveTypeIdAndSensitiveDataModelId, sensitiveTypeIdAndTargetId, targetId, targetIdAndSensitiveDataModelId

--is-common [boolean]

    A filter to return only the common sensitive type resources. Common sensitive types belong to library sensitive types which are frequently used to perform sensitive data discovery.

--limit [integer]

    For list pagination. The maximum number of items to return per page in a paginated “List” call. For details about how pagination works, see List Pagination <https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine>.

--page [text]

    For list pagination. The page token representing the page at which to start retrieving results. It is usually retrieved from a previous “List” call. For details about how pagination works, see List Pagination <https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine>.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sensitive-data-model-id [text]

    A filter to return only the resources that match the specified sensitive data model OCID.

--sensitive-type-id [text]

    A filter to return only items related to a specific sensitive type OCID.

--target-id [text]

    A filter to return only items related to a specific target OCID.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-safe/sensitive-data-model/list-discovery-analytics.html#cmdoption-compartment-id
    oci data-safe sensitive-data-model list-discovery-analytics --compartment-id $compartment_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle